# Tests for Jansson
- hosts: localhost
  tags:
  - classic
  roles:
  - role: standard-test-source
    required_packages:
    - autoconf
    - automake
    - libtool
    - make
    - gcc

  - role: standard-test-basic
    tests:
    - build-test:
        dir: ./source
        run: ./configure && make
    - unit-tests:
        dir: ./source
        run: make check
    - test-logs:
        dir: ./source
        run: cat test/test-suite.log
